## List History `client.Alerting.History.List(ctx, params) (*V4PagePaginationArray[History], error)` **get** `/accounts/{account_id}/alerting/v3/history` Gets a list of history records for notifications sent to an account. The records are displayed for last `x` number of days based on the zone plan (free = 30, pro = 30, biz = 30, ent = 90). ### Parameters - `params HistoryListParams` - `AccountID param.Field[string]` Path param: The account id - `Before param.Field[Time]` Query param: Limit the returned results to history records older than the specified date. This must be a timestamp that conforms to RFC3339. - `Page param.Field[float64]` Query param: Page number of paginated results. - `PerPage param.Field[float64]` Query param: Number of items per page. - `Since param.Field[Time]` Query param: Limit the returned results to history records newer than the specified date. This must be a timestamp that conforms to RFC3339. ### Returns - `type History struct{…}` - `ID string` UUID - `AlertBody string` Message body included in the notification sent. - `AlertType string` Type of notification that has been dispatched. - `Description string` Description of the notification policy (if present). - `Mechanism string` The mechanism to which the notification has been dispatched. - `MechanismType HistoryMechanismType` The type of mechanism to which the notification has been dispatched. This can be email/pagerduty/webhook based on the mechanism configured. - `const HistoryMechanismTypeEmail HistoryMechanismType = "email"` - `const HistoryMechanismTypePagerduty HistoryMechanismType = "pagerduty"` - `const HistoryMechanismTypeWebhook HistoryMechanismType = "webhook"` - `Name string` Name of the policy. - `PolicyID string` The unique identifier of a notification policy - `Sent Time` Timestamp of when the notification was dispatched in ISO 8601 format. ### Example ```go package main import ( "context" "fmt" "github.com/cloudflare/cloudflare-go" "github.com/cloudflare/cloudflare-go/alerting" "github.com/cloudflare/cloudflare-go/option" ) func main() { client := cloudflare.NewClient( option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"), ) page, err := client.Alerting.History.List(context.TODO(), alerting.HistoryListParams{ AccountID: cloudflare.F("023e105f4ecef8ad9ca31a8372d0c353"), }) if err != nil { panic(err.Error()) } fmt.Printf("%+v\n", page) } ``` #### Response ```json { "errors": [ { "message": "message", "code": 1000 } ], "messages": [ { "message": "message", "code": 1000 } ], "success": true, "result": [ { "id": "f174e90afafe4643bbbc4a0ed4fc8415", "alert_body": "SSL certificate has expired", "alert_type": "universal_ssl_event_type", "description": "Universal Certificate validation status, issuance, renewal, and expiration notices", "mechanism": "test@example.com", "mechanism_type": "email", "name": "SSL Notification Event Policy", "policy_id": "0da2b59ef118439d8097bdfb215203c9", "sent": "2021-10-08T17:52:17.571336Z" } ], "result_info": { "count": 1, "page": 1, "per_page": 20, "total_count": 2000 } } ```